$.validator.addMethod('dni', function (value) {
    return /([0-9]{1,2}?).?([0-9]{3}).?([0-9]{3})/.test(value);
}, 'DNI no válido');
$('#form-personal').validate({
    rules: {
        'nombre':{
            required: true
        },
        'apellido':{
            required: true
        },
        'DNI': {
            dni: true,
            required: true
        },
        'phone': {
            required: true,
            number: true
        }
    }
});
$('#departamento').select2({
    placeholder: "Seleccionar",
    minimumResultsForSearch: -1,
    ajax: {
        url: dep,
        dataType: 'json',
        processResults: function (data, params) {
            return {
                results: data
            };
        },
        cache: true
    }
});
$('#provincia').select2({
    placeholder: "Seleccionar",
    minimumResultsForSearch: -1,
    ajax: {
        url: prov,
        dataType: 'json',
        data: function (params) {
            return {
                q: $('#departamento').val()
            };
        },
        processResults: function (data, params) {
            return {
                results: data
            };
        },
        cache: true
    }
});
$('#distrito').select2({
    placeholder: "Seleccionar",
    minimumResultsForSearch: -1,
    ajax: {
        url: dis,
        dataType: 'json',
        data: function (params) {
            return {
                q: $('#provincia').val()
            };
        },
        processResults: function (data, params) {
            return {
                results: data
            };
        },
        cache: true
    }
});
$('#tipocolegio').select2();
$('#estadocivil').select2();
$('#form-personal').submit(function(e){
    e.preventDefault();
    $.ajax({
        url: url_personal_post,
        type: "POST",
        data: $('#form-personal').serialize(),
        beforeSend: function(){
            App.blockUI({
                target: "#tab1",
                message: "Cargando..."
            })
        },
        success: function(data){
            swal("Listo",data.success, "success");
        },
        error: function(){
            swal("Error","No se actualizo la informacion", "error");
        },
        complete: function(){
            App.unblockUI("#tab1");
        }
    })
});
$.ajax({
    url: url_personal_get+"?q="+id,
    success: function(data){
        var user = data[0];
        try {
            $("input[name='nombre']").val(user.Nombre);
            if($('#fichaid').val() == '') {
                $("input[name='fichaid']").val(user.id_usuario);
            }
            $("input[name='apellido_paterno']").val(user.apellido_paterno);
            $("input[name='apellido_materno']").val(user.apellido_materno);
            $("input[name='domicilio']").val(user.Domicilio);
            $("input[name='phone']").val(user.Telefono);
            $("input[name='datenac']").val(user.FechaNacimiento);
            $("input[name='DNI']").val(user.DNI);
            $("input[name='email']").val(user.Email);
            $("input[name='cprocedencia']").val(user.ColegioProcedencia);
            $("#tipocolegio").select2("trigger", "select", {
                data: { id: user.TipoColegio, text: user.TipoColegio }
            });
            $("#estadocivil").select2("trigger", "select", {
                data: { id: user.EstadoCivil, text: user.EstadoCivil }
            });
            $("#departamento").select2("trigger", "select", {
                data: { id: user.DepartamentoId, text: user.DepartamentoNombre }
            });
            $("#provincia").select2("trigger", "select", {
                data: { id: user.ProvinciaId, text: user.ProvinciaNombre }
            });
            $("#distrito").select2("trigger", "select", {
                data: { id: user.DistritoId, text: user.DistritoNombre }
            });
        }catch(err){
            App.unblockUI("#tab1");
        }
    },
    beforeSend: function(){
        App.blockUI({
            target: "#tab1",
            message: "Cargando..."
        })
    },
    complete: function(){
        App.unblockUI("#tab1");
    }
})